<?php

/**
 *  Informatica Eindproject D4p
 *  6in3, Stedelijk Gymnasium Nijmegen
 *  Docent: Hans de Wolf
 *
 *  ==================
 *
 *  Daniel Boutros,
 *  Christiaan Goossens,
 *  Jelmer Hinssen
 */

namespace Inforbank\Application\Helper;

use Inforbank\Application;

class Rekeningen
{
    public function getCurrentUserRekeningen()
    {
        $container = Application::getContainer();
        $user = $container->auth->getUser();

        $db = $container->db;
        $ibanhelper = new IBAN;

        $rekeningen = $db->rekeningen->where('klantid', $user['id']);

        $returnArray = array();

        foreach ($rekeningen as $rekening) {
            $returnArray[] = array(
                "rekeningnr" => $ibanhelper->getIBAN($rekening['rekeningnr']),
                "saldo" => (double) $rekening['saldo']
            );
        }

        return $returnArray;
    }
}
